## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 8514d8e68ed0c733abf7f96f9e91b24912686dc4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:			cl-alexandria
Version:		1.0.1^20240125git8514d8e
Release:		%autorelease
Summary:		A collection of portable Common Lisp utilities

# As per alexandria.asd
License:		LicenseRef-Fedora-Public-Domain OR MIT-0
URL:			https://alexandria.common-lisp.dev/
Source0:		https://gitlab.common-lisp.net/alexandria/alexandria/-/archive/%{commit}/alexandria-%{shortcommit}.tar.gz

BuildArch:		noarch

BuildRequires:		texinfo
BuildRequires:		sbcl
BuildRequires:		make

BuildRequires:		common-lisp-controller
Requires:		common-lisp-controller
Requires(post):		common-lisp-controller
Requires(preun):	common-lisp-controller

%description
Alexandria is a collection of portable public domain utilities that
meet the following constraints:

 * Utilities, not extensions: Alexandria will not contain conceptual
   extensions to Common Lisp, instead limiting itself to tools and
   utilities that fit well within the framework of standard ANSI
   Common Lisp. Test-frameworks, system definitions, logging
   facilities, serialization layers, etc. are all outside the scope of
   Alexandria as a library, though well within the scope of Alexandria
   as a project.

 * Conservative: Alexandria limits itself to what project members
   consider conservative utilities. Alexandria does not and will not
   include anaphoric constructs, loop-like binding macros, etc.

 * Portable: Alexandria limits itself to portable parts of Common
   Lisp. Even apparently conservative and useful functions remain
   outside the scope of Alexandria if they cannot be implemented
   portably. Portability is here defined as portable within a
   conforming implementation: implementation bugs are not considered
   portability issues.

%prep
%autosetup -n alexandria-%{commit}

%build
pushd doc
%make_build info
popd

%install
pushd doc
%{__mkdir_p} %{buildroot}%{_infodir}
gzip < alexandria.info > %{buildroot}%{_infodir}/alexandria.info.gz
popd

%{__mkdir_p} -m 755 %{buildroot}%{_datadir}/common-lisp/source/alexandria
%{__mkdir_p} -m 755 %{buildroot}%{_datadir}/common-lisp/systems

install -m 644 -Dt %{buildroot}%{_datadir}/common-lisp/source/alexandria/alexandria-1 alexandria-1/*.lisp
install -m 644 -Dt %{buildroot}%{_datadir}/common-lisp/source/alexandria/alexandria-2 alexandria-2/*.lisp
install -m 644 -t %{buildroot}%{_datadir}/common-lisp/source/alexandria alexandria.asd

pushd %{buildroot}%{_datadir}/common-lisp/systems
ln -s ../source/alexandria/alexandria.asd .
popd

%post
register-common-lisp-source alexandria

%preun
unregister-common-lisp-source alexandria

%files
%doc AUTHORS README
%license LICENCE
%{_datadir}/common-lisp/source/alexandria
%{_datadir}/common-lisp/systems/alexandria.asd
%{_infodir}/alexandria.info.*

%changelog
## START: Generated by rpmautospec
* Sun Oct 06 2024 John Doe <packager@example.com> - 1.0.1^20240125git8514d8e-1
- Uncommitted changes
## END: Generated by rpmautospec
